Issue 102534 - Crash when selecting emphasis custom animation
Summary: Crash when selecting emphasis custom animation
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: ui (show other issues)
Version: DEV300m49
Hardware: All All
: P2 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: Armin Le Grand
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 98859
  Show dependency tree
 
Reported: 2009-06-05 11:11 UTC by wolframgarten
Modified: 2009-09-03 12:48 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description wolframgarten 2009-06-05 11:11:47 UTC
1. Create an Impress doc.
2. Apply "Title Slide" layout, and type several words in the text area. Select
the words for edit mode, add custom animation "Change Font Size" to them with
preview: Office crashes.
Comment 1 wolframgarten 2009-06-05 12:13:59 UTC
The ID of the error report is rvdstkc.
Comment 2 clippka 2009-06-22 11:21:40 UTC
on m48 i crash long before that, have to wait for some fixes from aw before I
can work on this one...
Comment 3 clippka 2009-07-01 15:32:41 UTC
cl->wg: In m51 I can not reproduce the crash anymore, can you?
Comment 4 wolframgarten 2009-07-02 07:53:03 UTC
No,  I can't. 
Comment 5 wolframgarten 2009-07-02 07:53:23 UTC
Closed.
Comment 6 wolframgarten 2009-07-02 08:00:39 UTC
But now I can.
Comment 7 wolframgarten 2009-07-02 08:02:39 UTC
It crashes right after closing the dialog. But it happens with other effects,
too. Is this the same or something different?
Comment 8 amy2008 2009-07-02 08:11:25 UTC
Can reproduce it in Dev300m48, before the cws impress171.
Pls pay attention to this:
Not only emphasis but also other tabs custom animation can crash OOo.

Regards
Li Meiying
Comment 9 amy2008 2009-07-02 08:16:11 UTC
Meiying to wg,

>It crashes right after closing the dialog. But it happens with other effects,
>too. Is this the same or something different?
IMO, I think it is the same one.
But I don't know How it resulted in
Comment 10 wolframgarten 2009-07-02 11:33:02 UTC
The ID of the error report is r5bmxkc.
Comment 11 clippka 2009-07-17 10:42:52 UTC
now I again crash before dialog is opened. But this seems to by a timing issue
anyway so maybe its the same issue.

>	svxmi.dll!OutlinerParaObject::OutlinerParaObject(const OutlinerParaObject &
rCandidate={...})  Line 105	C++
 	svxmi.dll!drawinglayer::primitive2d::createNewSdrTextAttribute(const
SfxItemSet & rSet={...}, const SdrText & rText={...})  Line 495	C++
 
svxmi.dll!drawinglayer::primitive2d::createNewSdrLineFillShadowTextAttribute(const
SfxItemSet & rSet={...}, const SdrText & rText={...})  Line 729	C++
 
svxmi.dll!sdr::contact::ViewContactOfSdrRectObj::createViewIndependentPrimitive2DSequence()
 Line 66	C++
 	svxmi.dll!sdr::contact::ViewContact::getViewIndependentPrimitive2DSequence() 
Line 291	C++
 	svxmi.dll!sdr::contact::ViewObjectContact::createPrimitive2DSequence(const
sdr::contact::DisplayInfo & rDisplayInfo={...})  Line 320	C++
 	svxmi.dll!sdr::contact::ViewObjectContact::getPrimitive2DSequence(const
sdr::contact::DisplayInfo & rDisplayInfo={...})  Line 361	C++
 	svxmi.dll!sdr::contact::ViewObjectContact::getObjectRange()  Line 220	C++
 	svxmi.dll!sdr::contact::ViewObjectContact::triggerLazyInvalidate()  Line 267	C++
 	svxmi.dll!sdr::contact::ObjectContactOfPageView::Timeout()  Line 121	C++
 	svxmi.dll!sdr::contact::ObjectContactOfPageView::PrepareProcessDisplay() 
Line 107	C++
 	svxmi.dll!SdrPageWindow::PrePaint()  Line 196	C++
 	svxmi.dll!SdrPageView::PrePaint()  Line 360	C++
 	svxmi.dll!SdrPaintView::PrePaint()  Line 725	C++
 	sdmi.dll!sd::DrawViewShell::PrePaint()  Line 448	C++
 	sdmi.dll!sd::Window::PrePaint()  Line 305	C++
Comment 12 Armin Le Grand 2009-07-17 13:36:20 UTC
AW->WG: Should be double to #i102663# which is fixed in DEV300 m52 (CWS aw065),
please check in a DEV300 m52.
Comment 13 wolframgarten 2009-07-17 13:43:30 UTC
Still crashes in m52...
Comment 14 Armin Le Grand 2009-07-30 17:19:26 UTC
AW: Could be double to #i101234#. Waiting for DEV300 m54 (soon available)
Comment 15 Armin Le Grand 2009-08-05 15:57:45 UTC
AW: Still in DEV300 m54, but seems double to #i103982#, especially with the
stack and EmptyPresObjs involved. Waiting for CWS aw075 integration, where this
task does not happen.
Comment 16 Armin Le Grand 2009-09-03 12:48:23 UTC
AW: Checked with DEV300 m57 unxlngi6.pro, no crash anymore. Setting to fixed.
Comment 17 Armin Le Grand 2009-09-03 12:48:44 UTC
AW: Closing